#!/usr/bin/tcsh 

#######################################
#        Initialize the stuff         #
#######################################

if (! $?DMTHOME) setenv DMTHOME /opt/dmt
if (! $?DMTVERSION) setenv DMTVERSION new
setenv LD_LIBRARY_PATH $DMTHOME/$DMTVERSION/lib:/opt/CERN/root/lib:/usr/local/lib:/usr/openwin/lib

set sd=$HOME/dmtspi/cache
set td=$DMTHOME/$DMTVERSION/etc/Spi

mkdir -p $sd
setenv TD "/tmp"

# Identify machine
setenv gn   `cat /etc/nodename`
setenv g    `cat $td/HOST.lookup | awk '{if($1==gn) print $2}' gn=$gn`
setenv gip  `cat $td/HOST.lookup | awk '{if($1==gn) print $3}' gn=$gn`
setenv gLN  `cat $td/HOST.lookup | awk '{if($1==gn) print $4}' gn=$gn`

# Define remote directories

if ("$gip" == "ligo-wa") then
#  setenv dh "/opt/CDS/a/apacheFiles/htdocs/gds" 
  setenv dh "/src/cds/lho/web/gds/"
  setenv dw "http://blue.ligo-wa.caltech.edu/gds"
endif
if ("$gip" == "ligo-la") then
  setenv dh "/import/space/apacheFiles/htdocs/gds"
  setenv dw "http://london.ligo-la.caltech.edu/gds"
endif

setenv dd "$dh/dmt/Monitors"
setenv d2 "$dw/dmt/Monitors"

mkdir -p $dd/$g

#######################################
#  Look for frame consumption         #
#######################################

$DMTHOME/$DMTVERSION/bin/smdump | nawk 'BEGIN{c=0;} {if(c>5){print $2,$6}; if($1=="id"){if($2=="pid"){c=10;}};}' > $TD/Before_${g}_t.list
sleep 512
$DMTHOME/$DMTVERSION/bin/smdump | nawk 'BEGIN{c=0;} {if(c>5){print $2,$6}; if($1=="id"){if($2=="pid"){c=10;}};}' > $TD/After_${g}_t.list

mv $TD/Before_${g}_t.list $TD/Before_${g}.list
mv $TD/After_${g}_t.list $TD/After_${g}.list

#######################################
#  Prepare DMT diagnostic info files  #
#######################################

# Add TOP info
/usr/local/bin/top -d12 -s1 200 | nawk -f $td/AT.script | nawk '{gsub(" ","\\&nbsp;"); print $0}END{print "<br><br><br>"}' > $dd/$g/TOPinfo_t.html

mv $dd/$g/TOPinfo_t.html $dd/$g/TOPinfo.html

